Skip to navigation

Update bulk send list

View as Markdown
This method replaces the definition of an existing bulk send list.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

bulkSendListIdstringRequired
The GUID of the bulk send list. This property is created after you post a new bulk send list.

Request

This endpoint expects an object: bulkSendingList

bulkCopieslist of objectsOptional

An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.

listIdstringOptional
The GUID of the bulk send list.
namestringOptional
The name of the bulk send list.

Response

Successful response.
bulkCopieslist of objectsOptional

An array of bulkCopy objects. Each object represents an instance or copy of an envelope and contains details such as the recipient, custom fields, tabs, and other information.

listIdstringOptional
The GUID of the bulk send list.
namestringOptional
The name of the bulk send list.

Errors

400
Bad Request Error